<?php 
/*------------------------------------------------
 * Обмен Хорошоп с 1С v.8.*             2026-12-10
 * Copyright © FinBoss 2026
 * finboss.ua@gmail.com 
 *
 * загрузка файлов и выгрузка заказов
 * управляющий модуль
 *
 * License: Commercial open source software (COSS) 
 *------------------------------------------------
 */

	header('Content-Type: text/html; charset=utf-8');

	// контроль доступа по IP
	$a_allow = false;
	if (is_file('.allowed_ip')){
		$a_ips = file('.allowed_ip');
		
		foreach ($a_ips as $a_ip){
			$a_ip = trim($a_ip);
			if (strpos($a_ip, '*') !== false){
				
				// process 127.0.*.*
				
				$remote = explode('.', $_SERVER['REMOTE_ADDR']);
				$a = explode('.', $a_ip);
				
				$true_count = 0;
				for ($i=0;$i<4;$i++){
					switch ($i){
						case 0:
						case 1:
							if ($remote[$i] != $a[$i]){
								break 2;
							}else{
								$true_count++;
							}
							break;
						case 2:
						case 3:
							if ($a[$i] == '*'){
								// пропускаем
								$true_count++;
							}else{
								if ($remote[$i] != $a[$i]){
									break 2;
								}else{
									$true_count++;
								}
							}
							
					}
				}
				if ($true_count == 4){
					$a_allow = true;
					break;
				}
				
			}else{
				if ($_SERVER['REMOTE_ADDR'] == trim($a_ip)){
					$a_allow = true;
					break;
				}
			}
		}
		
	}
	if ($a_allow === false){
		die('доступ для IP '.$_SERVER['REMOTE_ADDR'].' заблокирован');
	}
	
	error_reporting (E_ALL);
	date_default_timezone_set ('Europe/Kiev');
	
	$title = "Синхронізація з 1C v.8x для Хорошоп";

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf8" >
<title><?php echo $title; ?></title>
</head>
<body style="font-family:Trebuchet MS; font-size: 10pt;" bgcolor="#FEF4EB">

<table width="100%" bgcolor="#416e98">
<tr valign="middle">
<td><span style="font-size:25px; color:#FFF; font-family:Trebuchet MS"><?php echo $title; ?></span></td>
<td align="right"></td>
</tr>
</table>
<center>
<br/>

<table width="70%">
<tr valign="middle">
<td align="center"><a href="setup_uk.php?token=<?php echo time() ?>" target="_blank">Налаштування</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="log/index.php?token=<?php echo time() ?>" target="_blank">Звіти</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="show_license.php?token=<?php echo time() ?>" target="_blank">Інформація про ліцензію</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="phpinfo.php?token=<?php echo time() ?>" target="_blank">Інформація про сервер</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="../20261212/index.php?token=<?php echo time() ?>">Перейти до модуля Завантажувач файлів від 1С v.8x в Хорошоп</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
</table>

</center>
</body>
</html>
